﻿

'/*
'
' -----------------------------------------------------------------
' IDENTIFICACION.:
'    Versión .....: 2013/02/19
'    Module Name..: OperacionesEscribeNumeroConLetras 
'----------------
'    Creada inicialmente en el proyecto: [NumerosToLetrasDll]
'    Versión de la plantilla de fecha..: [2012-12-12] 
'----------------
'    Lenguaje .: .NET Framework 4.0.30319.18033 - 
'                 Microsoft Visual Basic .NET 2012 - [2013]
'    Usuario ..: AGUILA8 - Joaquin
'
'----------------
' DESCRIPCION.:
'
' Enumeracion que describe las posibles formas de escribir el numero uno
'
'----------------
' MODIFICACIONES  [aaaa-mm-dd] 
' - 2013/02/19- Creación 
' - 2013/02/19 - Revisado con FxCop 
'
' -----------------------------------------------------------------
'
'*/
'
' -------------------------------------------------
Option Explicit On
Option Strict On
Option Infer Off
Option Compare Binary





'''<summary>
'''  El numero [uno] se escribe de forma diferente en función 
'''  del sustantivo que lo califica [un], [uno], [una]
''' </summary>
''' <remarks>
''' <example>
''' <para> Por ejemplo </para>
''' <para> No hay sustantivo           [uno], [veintiuno], [cuarenta y uno]</para>
''' <para> Con un sustantivo masculino [un euro],     [veintiún coches]    </para>
''' <para> Con un sustantivo femenino  [una manzana], [treinta y una peseta]</para>
''' </example>
'''</remarks>
Public Enum FormatoEscrituraDelUno As Integer
    ''' <summary> 
    '''    Se escribe [uno]  el numero limpio sin nada mas  (Ejemplo veintiuno)
    ''' </summary>
    UnoSinSustantivo
    ''' <summary> 
    '''    Se escribe [un]  (Ejemplo [un euro], [veintiún coches])
    ''' </summary>
    UnConSustantivoMasculino
    ''' <summary> 
    '''    Se escribe [una] (Ejemplo [una manzana], [treinta y una peseta])
    ''' </summary>
    UnaConSustantivoFemenino
End Enum



